local Addon = {}
Addon.initialized = false
Addon.debug = false
Addon.name = "DryzlersFishermanExport"
Addon.versionString = '1.014'
Addon.saveVariablesName = "DryzlersFishermanExportSavedVars"
Addon.savedVariablesAccount = nil
Addon.saveVariablesVersion = 1
Addon.vars = {
  defaults = {
    account = {
    
    }
  }  
}


function Addon:Initialize()
  if (self.initialized) then return end
  
  self.savedVariablesAccount = ZO_SavedVars:NewAccountWide(self.saveVariablesName, self.saveVariablesVersion, nil, self.vars.defaults.account)
    
  self.libSafe = LibStub("LibSafe").new(self, self.name, self.saveVariablesName, self.debug)
  self.libSafe:makeTableSafe()  
  
  EVENT_MANAGER:RegisterForEvent(self.name, EVENT_PLAYER_ACTIVATED, function(...) self:onEVENT_PLAYER_ACTIVATED(...) end)  
    
  self.initialized = true
end

--#################################################################################################

function Addon:onEVENT_PLAYER_ACTIVATED(intEventCode, bInitial)
  self:d("onEVENT_PLAYER_ACTIVATED: "..GetUnitName("player"))
  
end

--#################################################################################################

function Addon:d(m)
  if self.debug then
    _G.d(self.name.."> "..tostring(m))
  end
end

if _G["DryzlerElderGeekNet"] == nil then _G["DryzlerElderGeekNet"] = { plugins = {}, libs= {}} end
_G["DryzlerElderGeekNet"].plugins["FishermanExport"] = Addon;

EVENT_MANAGER:RegisterForEvent("DryzlersFishermanExport", EVENT_ADD_ON_LOADED, 
  function(event, AddonName)
    if AddonName == "DryzlersFishermanExport" then
      _G["DryzlerElderGeekNet"].plugins["FishermanExport"]:Initialize()
      EVENT_MANAGER:UnregisterForEvent("DryzlersFishermanExport", EVENT_ADD_ON_LOADED)
    end
  end
)